load([folder 'process\X.txt'])

p2=0.6;% the proportion to be shown
i=1;% the stereo to be shown
imstr=img_style;
lm12=candis{i}.line+1;

img1=imread([folder 'images\' pair_2{i,1} imstr]);
img2=imread([folder 'images\' pair_2{i,2} imstr]);

rs=size(img1,1);
cs=size(img1,2);

lines1=load([write_folder pair_2{i,1} '.lines']);
lines2=load([write_folder pair_2{i,2} '.lines']);



Xraw=X;
Xraw_L=Xraw(candis{i}.stid:candis{i}.stid+size(lm12,1)-1);
[cmatch_l,boolm]=match_assign(lm12,Xraw_L,size(lines1,1),size(lines2,1));
cmatch_l=cmatch_l(1:int32(size(cmatch_l,1)*p2),:);
drawMatch(cmatch_l,lines1,lines2,img1,img2,1,1,2,0,1);